package cn.javacoder.test.tag;

import java.io.StringWriter;
import java.util.Collection;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;

@SuppressWarnings("serial")
public class TableTag extends BodyTagSupport {
	
	private  Collection<String> keys;

	public void setKeys(Collection<String> keys) {
		this.keys = keys;
	}

	@Override
	public int doStartTag() throws JspException {
		try {
			StringWriter writer = new StringWriter();
			writer.write("<table >");
			writer.write("<thead>");
			writer.write("<tr>");
			for(String key : keys) {
				writer.write("<td>");
				writer.write(key);
				writer.write("</td>");
			}
			writer.write("</tr>");
			writer.write("</thead>");
			writer.write("<tbody>");
			this.pageContext.getOut().write(writer.toString());
			return EVAL_BODY_INCLUDE;
		} catch (Exception e) {
			throw new JspException(e);
		}
	}

	@Override
	public int doEndTag() throws JspException {
		try {
			StringWriter writer = new StringWriter();
			writer.write("</tbody>");
			writer.write("</table>");
			this.pageContext.getOut().write(writer.toString());
			return EVAL_PAGE;
		} catch (Exception e) {
			throw new JspException(e);
		}
	}
}
