package cn.javacoder.test.tag;

import java.io.StringWriter;
import java.util.Collection;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class TrTag extends BodyTagSupport {

	private static final long serialVersionUID = 6817621423604685259L;

	private Collection<Collection<String>> rows;
	
	@Override
	public int doStartTag() throws JspException {
		try {
			for (Collection<String> row : rows) {
				if (row != null) {
					StringWriter writer = new StringWriter();
					writer.write("<tr>");
					for (String value : row) {
						writer.write("<td>");
						writer.write(value);
						writer.write("</td>");
					}
					writer.write("</tr>");
					this.pageContext.getOut().write(writer.toString());
				}
			}
			return EVAL_BODY_INCLUDE;
		} catch (Exception e) {
			throw new JspException(e);
		}
	}

	@Override
	public void release() {
		rows = null;
		super.release();
	}

	public void setRows(Collection<Collection<String>> rows) {
		this.rows = rows;
	}



}
